PowerPoint7GraphInternal::State Struct Reference

Internal: the state of a PowerPoint7Graph. More...

## Public Member Functions

| State ()
| constructor
void | setFrame (Frame *frame)
| try to add a frame
void | resetFrame ()
| reset the actual frame
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern) const
| try to return a pattern
bool | getArrow (int id, MWAWGraphicStyle::Arrow &arrow)
| returns an arrow if possible
void | initArrows ()
| init the arrow list

## Static Public Member Functions

static bool | getCustomShape (int id, MWAWGraphicShape &shape)
| returns a custom shape corresponding to an id

## Public Attributes

MWAWVec2i | m_decal
| the decal from file position to final position
PowerPoint7Struct::SlideId | m_actualSlideId
| the actual slide id
std::vector< MWAWColor > | m_colorList
| the current color list
std::vector< MWAWGraphicStyle::Arrow > | m_arrowList
| the arrow list
std::shared_ptr< Frame > | m_actualFrame
| the actual frame
std::shared_ptr< FrameGroup > | m_actualGroup
| the actual group
std::map< PowerPoint7Struct::SlideId, std::vector< std::shared_ptr< Frame > > > | m_idToFrameMap
| a map slide id to the list of frame
std::map< int, Picture > | m_idToPictureMap
| a map id to picture

## Detailed Description

Internal: the state of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## State()

PowerPoint7GraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getArrow()

bool PowerPoint7GraphInternal::State::getArrow | ( | int | id,
|  | MWAWGraphicStyle::Arrow & | arrow )

inline

returns an arrow if possible

## getCustomShape()

bool PowerPoint7GraphInternal::State::getCustomShape | ( | int | id,
|  | MWAWGraphicShape & | shape )

static

returns a custom shape corresponding to an id

Referenced by getCustomShape().

## getPattern()

bool PowerPoint7GraphInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern ) const

try to return a pattern

Referenced by getPattern().

## initArrows()

void PowerPoint7GraphInternal::State::initArrows | ( |  | ) |

init the arrow list

Referenced by getArrow(), and initArrows().

## resetFrame()

void PowerPoint7GraphInternal::State::resetFrame | ( |  | ) |

inline

reset the actual frame

## setFrame()

void PowerPoint7GraphInternal::State::setFrame | ( | Frame * | frame | ) |

inline

try to add a frame

## Member Data Documentation

## m_actualFrame

std::shared_ptr<Frame> PowerPoint7GraphInternal::State::m_actualFrame

the actual frame

Referenced by resetFrame(), setFrame(), and State().

## m_actualGroup

std::shared_ptr<FrameGroup> PowerPoint7GraphInternal::State::m_actualGroup

the actual group

Referenced by setFrame(), and State().

## m_actualSlideId

PowerPoint7Struct::SlideId PowerPoint7GraphInternal::State::m_actualSlideId

the actual slide id

Referenced by setFrame(), and State().

## m_arrowList

std::vector<MWAWGraphicStyle::Arrow> PowerPoint7GraphInternal::State::m_arrowList

the arrow list

Referenced by getArrow(), initArrows(), and State().

## m_colorList

std::vector<MWAWColor> PowerPoint7GraphInternal::State::m_colorList

the current color list

Referenced by State().

## m_decal

MWAWVec2i PowerPoint7GraphInternal::State::m_decal

the decal from file position to final position

Referenced by State().

## m_idToFrameMap

std::map<PowerPoint7Struct::SlideId, std::vector<std::shared_ptr<Frame> > > PowerPoint7GraphInternal::State::m_idToFrameMap

a map slide id to the list of frame

Referenced by setFrame(), and State().

## m_idToPictureMap

std::map<int, Picture> PowerPoint7GraphInternal::State::m_idToPictureMap

a map id to picture

Referenced by State().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx